curl --request POST \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/embeddings-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"top_k": 10,
"filters": {
"types": [],
"ciks": [
"0001045810"
],
"sectors": [
"<string>"
],
"industries": [
"<string>"
],
"years": [
"<string>"
],
"quarters": [
"Q4"
]
}
}
'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/embeddings-search"
payload = {
"query": "<string>",
"top_k": 10,
"filters": {
"types": [],
"ciks": ["0001045810"],
"sectors": ["<string>"],
"industries": ["<string>"],
"years": ["<string>"],
"quarters": ["Q4"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
top_k: 10,
filters: {
types: [],
ciks: ['0001045810'],
sectors: ['<string>'],
industries: ['<string>'],
years: ['<string>'],
quarters: ['Q4']
}
})
};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/embeddings-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"text": "It's Second, we laid the foundation to be a three-chip data center scale computing company with GPUs, DPUs and CPUs. Third, AI is the most powerful technology force of our time. We partner with cloud and consumer Internet companies to scale out and commercialize AI-powered services. And we're democratizing AI for every enterprise and every industry.",
"metadata": {
"chunk_num": "18"
},
"document": {
"type": "earnings-transcript",
"published_date": "2021-05-27T01:40:47.000Z",
"year": "2022",
"quarter": "Q1",
"link": "https://stockinsights.ai/us/filings/earnings-transcript/64428b8954ef6b435cdc137c/content"
},
"company": {
"company_name": "Nvidia Corp",
"ticker": "NVDA",
"cik": "0001045810"
},
"similarity_score": 0.9295221567153931
},
{
"text": "And we containerize them into our stack. We call it NVIDIA AI Enterprise. And the way we go to market with it is that think of that NVIDIA AI Enterprise now as a run time like an operating system, it's an operating system for artificial intelligence.",
"metadata": {
"chunk_num": "16"
},
"document": {
"type": "earnings-transcript",
"published_date": "2024-02-22T10:58:00.000Z",
"year": "2024",
"quarter": "Q4",
"link": "https://stockinsights.ai/us/filings/earnings-transcript/65d811ca8ac10234b0fbd253/content"
},
"company": {
"id": "epPs1xy7IL",
"company_name": "Nvidia Corp",
"ticker": "NVDA",
"cik": "0001045810"
},
"similarity_score": 0.9289319515228271
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}Filings Embeddings Search
The Filings Embeddings Search API retrieves the nearest chunks of text (based on semantic similarity) from our database for specified filings (earnings transcripts and 10-Ks) for any given user query/prompt in natural langauge. Users can utilize this functionality for various purposes, such as building an AI-search engine, AI-tagging, etc., using the associated text from these filings.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The user query in natural language for which similar chunks of filings text is retrieved using OpenAI embeddings.
Number of top matching chunks to return in the response. This parameter is optional and defaults to 20 if not specified. Maximum value is 50
x <= 100Filters to narrow the search scope. For example, the search can be limited to few CIKs only. Without filters, search will be performed across all the filings
Show child attributes
Show child attributes